Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0019355
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 08. Project and service managementminoralways2011-12-23 08:542012-03-02 15:40
ReportermalsasuaView Statuspublic 
Assigned ToioritzCia 
PriorityhighResolutionfixedFixed in Version
StatusclosedFix in branchpiFixed in SCM revisionb5f38705d906
ProjectionnoneETAnoneTarget Version3.0MP9
OSLinux 32 bitDatabasePostgreSQLJava version1.6.0_18
OS VersionCommunity ApplianceDatabase version8.3.9Ant version1.7.1
Product VersionSCM revision 
Review Assigned To
Web browserGoogle Chrome
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0019355: in Expense Sheet Window, column "processed" is not displayed in grid mode

Descriptionin Expense Sheet Window, the column "processed" can not been displayed in grid mode
Steps To Reproduce. go to Expense Sheet Window and try to display the column "processed"
Proposed Solution. change the reference of column "process" to "Yes/No"
. create a new column to define the button "process" .
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00186743.0MP7 closedioritzCia in Expense Sheet Window, column "processed" is not displayed in grid mode 
depends on backport 00198812.50MP40 closedioritzCia in Expense Sheet Window, column "processed" is not displayed in grid mode 
related to defect 00223093.0MP20 closedjecharri The Process Expenses button label and pop-up message should be more generic 

-  Notes
(0045459)
hgbot (developer)
2012-02-27 08:59

Repository: erp/devel/pi
Changeset: b5f38705d9069ceb0165bebba3e016962ac66f0a
Author: Ioritz Cia <ioritz.cia <at> openbravo.com>
Date: Sun Feb 26 17:25:02 2012 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/b5f38705d9069ceb0165bebba3e016962ac66f0a [^]

Fixes issue 19355: in Expense Sheet Window,
column 'processed' is not displayed in grid mode.

---
M src-db/database/model/tables/S_TIMEEXPENSE.xml
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_FIELD.xml
---
(0045473)
ioritzCia (developer)
2012-02-27 13:11

Testing plan:

- Go to expense sheet and see that the button and the column processed are shown.
- See that processed changes properly when the button is clicked.
- See that the column processed can be hidden from the grid and undisplayed.
(0045487)
hgbot (developer)
2012-02-27 19:39

Repository: erp/devel/pi
Changeset: 4697d6f24c82efb1c6b50cbc15a12f9e55ab94ad
Author: Ioritz Cia <ioritz.cia <at> openbravo.com>
Date: Mon Feb 27 19:35:37 2012 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/4697d6f24c82efb1c6b50cbc15a12f9e55ab94ad [^]

Related to issue 19355: in Expense Sheet Window,
column processed is not displayed in grid mode.

---
M src-db/database/model/tables/S_TIMEEXPENSE.xml
---
(0045641)
hgbot (developer)
2012-02-29 19:15

Repository: erp/devel/pi
Changeset: 3d1ceed5bdb1b02b463b4c669d7c8293e8e19dd0
Author: Ioritz Cia <ioritz.cia <at> openbravo.com>
Date: Wed Feb 29 19:14:00 2012 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/3d1ceed5bdb1b02b463b4c669d7c8293e8e19dd0 [^]

Related to issue 19355: processed field needs to be read only.

---
M src-db/database/sourcedata/AD_FIELD.xml
---
(0045651)
malsasua (developer)
2012-03-01 09:27

version 3.0.15300
functionality:
 . test plan: process: OK
                modify line: OK
              unprocess: OK
                modify line: OK

code review: OK
(0045961)
hudsonbot (developer)
2012-03-02 15:39

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/544d64e0c159 [^]

Maturity status: Test
(0045965)
hudsonbot (developer)
2012-03-02 15:39

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/544d64e0c159 [^]

Maturity status: Test
(0046005)
hudsonbot (developer)
2012-03-02 15:40

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/544d64e0c159 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2011-12-23 08:54 malsasua New Issue
2011-12-23 08:54 malsasua Assigned To => jonalegriaesarte
2011-12-23 08:54 malsasua Web browser => Google Chrome
2011-12-23 08:54 malsasua Modules => Core
2011-12-23 08:55 malsasua Issue Monitored: networkb
2011-12-23 08:55 malsasua Relationship added related to 0018674
2012-02-15 13:11 jonalegriaesarte Assigned To jonalegriaesarte => ioritzCia
2012-02-27 08:59 ioritzCia Status new => scheduled
2012-02-27 08:59 ioritzCia fix_in_branch => pi
2012-02-27 08:59 hgbot Checkin
2012-02-27 08:59 hgbot Note Added: 0045459
2012-02-27 08:59 hgbot Status scheduled => resolved
2012-02-27 08:59 hgbot Resolution open => fixed
2012-02-27 08:59 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/b5f38705d9069ceb0165bebba3e016962ac66f0a [^]
2012-02-27 13:11 ioritzCia Note Added: 0045473
2012-02-27 19:39 hgbot Checkin
2012-02-27 19:39 hgbot Note Added: 0045487
2012-02-29 19:15 hgbot Checkin
2012-02-29 19:15 hgbot Note Added: 0045641
2012-03-01 09:27 malsasua Note Added: 0045651
2012-03-01 09:27 malsasua Status resolved => closed
2012-03-02 15:39 hudsonbot Checkin
2012-03-02 15:39 hudsonbot Note Added: 0045961
2012-03-02 15:39 hudsonbot Checkin
2012-03-02 15:39 hudsonbot Note Added: 0045965
2012-03-02 15:40 hudsonbot Checkin
2012-03-02 15:40 hudsonbot Note Added: 0046005
2012-11-14 18:25 ngarcia Relationship added related to 0022309


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker